import request from '@/utils/request'

// 查询围栏告警处理列表
export function listRailsolve(query) {
  return request({
    url: '/system/railsolve/list',
    method: 'get',
    params: query
  })
}

// 查询围栏告警处理详细
export function getRailsolve(id) {
  return request({
    url: '/system/railsolve/' + id,
    method: 'get'
  })
}

// 新增围栏告警处理
export function addRailsolve(data) {
  return request({
    url: '/system/railsolve',
    method: 'post',
    data: data
  })
}

// 修改围栏告警处理
export function updateRailsolve(data) {
  return request({
    url: '/system/railsolve',
    method: 'put',
    data: data
  })
}

// 删除围栏告警处理
export function delRailsolve(id) {
  return request({
    url: '/system/railsolve/' + id,
    method: 'delete'
  })
}
